Bug 588303

Summary: Password prompt is duplicated when line wraps
Product: [Fedora] Fedora Reporter: Kamil Páral <kparal>
Component: plymouthAssignee: Ray Strode [halfline] <rstrode>
Status: CLOSED WORKSFORME QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: 13CC: fedora, rstrode
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2011-06-03 12:02:39 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Attachments:
Description Flags
unlock disk prompt none

Description Kamil Páral 2010-05-03 12:50:05 UTC
Created attachment 410973 [details]
unlock disk prompt

Description of problem:
In text mode there is a really long line as a prompt for encrypted disk password. When writing password and the line wraps, the whole line is repeated on every keystroke. This does not block entering password, everything works correctly, but it is very confusing. See screenshot.

Version-Release number of selected component (if applicable):
Fedora 13 Final TC1
plymouth-scripts-0.8.2-2.fc13.x86_64
plymouth-plugin-label-0.8.2-2.fc13.x86_64
plymouth-utils-0.8.2-2.fc13.x86_64
plymouth-system-theme-0.8.2-2.fc13.x86_64
plymouth-graphics-libs-0.8.2-2.fc13.x86_64
plymouth-theme-charge-0.8.2-2.fc13.x86_64
plymouth-0.8.2-2.fc13.x86_64
plymouth-gdm-hooks-0.8.2-2.fc13.x86_64
plymouth-core-libs-0.8.2-2.fc13.x86_64
plymouth-plugin-two-step-0.8.2-2.fc13.x86_64

How reproducible:
always

Comment 1 Bug Zapper 2011-06-02 14:33:30 UTC
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 2 Kamil Páral 2011-06-03 12:02:39 UTC
This still happens on Fedora 15, but the prompt is so short now, that the password would have to contain > 40 characters to wrap the line. Closing this bug as WORKSFORME (i.e. "good enough").